#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CategoriesExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports relevant attributes for categories of shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CategoriesExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::Object::API::Factory qw(LoadObject ExistsObject);
use DE_EPAGES::ShopMigration::API::CategoriesCommon qw(GetCategoryData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'categories.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $ObjectID = $self->topID('Item');
    if (ExistsObject($ObjectID)) {
        my $Category = LoadObject($ObjectID);
        my $hValues = GetCategoryData($self->shop, $Category);
        $self->writeLine($hValues) if (keys %$hValues);
    }
    return;
}

1;
