#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CategoriesImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports relevant attributes for categories of the shop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CategoriesImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::CategoriesCommon qw(SetCategoryData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'categories.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# description  Imports relevant data from $hFields to the prep shop
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
#========================================================================================
sub setShopDataPrepShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetCategoryData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# description  Imports relevant data from $hFields to the base shop
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
#========================================================================================
sub setShopDataBaseShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetCategoryData($self->shop(), $hLineData);
}

1;
