#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CategoryProductMapsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports category products maps for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CategoryProductMapsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::Object::API::Factory qw(LoadClassByAlias);
use DE_EPAGES::ShopMigration::API::CategoryProductMapsCommon qw(GetCategoryProductMapData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'categoryproductmaps.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;
    my $Class = LoadClassByAlias('CategoryProductMap');
    my $CategoryProductMapID = $self->topID('Item');
    if ($Class->existsObject($CategoryProductMapID)) {
        my $CategoryProductMap = $Class->loadObject($CategoryProductMapID);
        my $hValues = GetCategoryProductMapData($self->shop, $CategoryProductMap);
        $self->writeLine($hValues) if (keys %$hValues);
    }
    return;
}

1;
