#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CrossSellingsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports cross selling for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CrossSellingsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::Object::API::Factory qw(LoadClassByAlias);
use DE_EPAGES::ShopMigration::API::CrossSellingsCommon qw(GetCrossSellingData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'crosssellings.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;
    my $Class = LoadClassByAlias('CrossSelling');
    my $CrossSellingID = $self->topID('Item');
    if ($Class->existsObject($CrossSellingID)) {
        my $CrossSelling = $Class->loadObject($CrossSellingID);
        my $hValues = GetCrossSellingData($self->shop, $CrossSelling);
        $self->writeLine($hValues) if (keys %$hValues);
    }
    return;
}

1;
