#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CrossSellingsImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports cross sellings
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CrossSellingsImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::CrossSellingsCommon qw(SetCrossSellingData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'crosssellings.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# description  Imports relevant data from $hFields to the prep shop
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
#========================================================================================
sub setShopDataPrepShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetCrossSellingData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# description  Imports relevant data from $hFields to the base shop
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
#========================================================================================
sub setShopDataBaseShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetCrossSellingData($self->shop(), $hLineData);
}


1;
