#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::LegalPagesImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports legal pages for the shop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::LegalPagesImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::LegalPagesCommon qw(SetLegalPageData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'legalpages.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports legal pages data from $hFields to the prep shop
#========================================================================================
sub setShopDataPrepShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetLegalPageData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports legal pages data from $hFields to the base shop
#========================================================================================
sub setShopDataBaseShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetLegalPageData($self->shop(), $hLineData);
}

1;
