#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::ProductTypesImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports product types for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::ProductTypesImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::ProductTypesCommon qw(SetProductTypeData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'producttypes.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the prep shop
#========================================================================================
sub setShopDataPrepShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetProductTypeData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the base shop
#========================================================================================
sub setShopDataBaseShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetProductTypeData($self->shop(), $hLineData);
}

1;
