#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::ShopDataImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports relevant attributes for the shop
#               expects a shop object and a folder
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::ShopDataImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::ShopCommonData qw(SetShopData);


#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'shop.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the prep shop
#========================================================================================
sub setShopDataPrepShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetShopData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the base shop
#========================================================================================
sub setShopDataBaseShop {
    my $self = shift;
    my ($hLineData) = @_;

    SetShopData($self->shop(), $hLineData);
}

1;
